package com.qmth.teachcloud.common.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.userPush.SpecialPrivilegeEnum;
import com.qmth.teachcloud.common.enums.userPush.UserPushTrackEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 用户推送轨迹表
 * </p>
 *
 * @author wangliang
 * @since 2021-11-04
 */
@ApiModel(value = "PushUserTrack对象", description = "用户推送轨迹表")
public class PushUserTrack extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "身份 SpecialPrivilegeEnum： SUBJECT_HEADER('科组长权限','SubjectHeader','S_', 4), MARKER('评卷员权限','Marker','M_', 5),")
    private SpecialPrivilegeEnum identify;

    @ApiModelProperty(value = "操作 UserPushTrackEnum： BIND('绑定') UNBIND('解绑') ")
    private UserPushTrackEnum operate;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public SpecialPrivilegeEnum getIdentify() {
        return identify;
    }

    public void setIdentify(SpecialPrivilegeEnum identify) {
        this.identify = identify;
    }

    public UserPushTrackEnum getOperate() {
        return operate;
    }

    public void setOperate(UserPushTrackEnum operate) {
        this.operate = operate;
    }
}
